20090116 Stuart Hughes <stuarth@freescale.com>
This is a re-work of busybox-1.11.2-getty-nobaud.patch
This fixes the case when there is no controlling tty (/dev/console only)

20080924 Stuart Hughes <stuarth@freescale.com>
This is a re-work of busybox-1.1.3-getty-nobaud.patch

Wed Aug 2 2006 Stuart Hughes <stuarth@freescale.com>

This patch is a bit of a hack that allows the specification in /etc/inittab
of '0' as the baud rate.  If this is given, then the current setting is
used.  This is so I can have a generic entry in /etc/inittab that will
work for all boards:

::respawn:/sbin/getty console 0 vt100

--- busybox-1.15.0/loginutils/getty.c	2009-08-21 06:26:14.000000000 +0800
+++ busybox-1.15.0.modified/loginutils/getty.c	2009-09-08 15:24:27.497494502 +0800
@@ -169,6 +169,13 @@
 		op->speeds[op->numspeed] = bcode(cp);
 		if (op->speeds[op->numspeed] < 0)
 			bb_error_msg_and_die("bad speed: %s", cp);
+		if (op->speeds[op->numspeed] == 0) {
+			struct termios tio;
+			if (tcgetattr(1, &tio) != 0) {
+				bb_error_msg_and_die("getty.c: tcgetattr(1, &tio) failed\n");
+			}
+			op->speeds[op->numspeed] = cfgetospeed(&tio);
+		}
 		/* note: arg "0" turns into speed B0 */
 		op->numspeed++;
 		if (op->numspeed > MAX_SPEED)
